000034149 - RSA Access Manager 5.0 Agent for Apache 2.4 throws Segmentation fault (11)

Document created by RSA Customer Support Employee on Oct 18, 2017
Version 1Show Document
  • View in full screen mode

Article Content

Article Number000034149
Applies ToRSA Product Set: ClearTrust
RSA Product/Service Type: Web Agent (Apache)
RSA Version/Condition: 5.0
Platform: Linux
Platform (Other): Apache 2.4
O/S Version: Red Hat Enterprise Linux 6.x
 
IssueAn instance of Apache web server 2.4 works fine until the Access Manager Agent for Apache is enabled.
The page does not return and user gets a 404 error (Page not found)
The Apache error_log returns the message.

AH00052: child pid 15625 exit signal Segmentation fault (11)
CauseWhile setting up the Access Manager Apache agent customers may be familiar with the installation instructions for Apache 2.2, with regards to CERTIFICATE authentication.
Beginning with the 5.0 Web agents for Apache 2.4, there is a directive specific to Apache 2.4 that needs to be added to the Apache httpd-ssl.conf file.
Per the instructions in the Web Servers Installation and Configuration Guide:

Note: For Apache 2.4.x, the following needs to be added in httpd-ssl.conf.
SSLOptions +LegacyDNStringFormat
ResolutionAdding SSLOptions +LegacyDNStringFormat to the Apache httpd-ssl.conf should resolve the issue.

Attachments

    Outcomes